1#! /bin/sh
2
3# Guess values for system-dependent variables and create Makefiles.
4# Generated automatically using autoconf version 2.12
5# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6#
7# This configure script is free software; the Free Software Foundation
8# gives unlimited permission to copy, distribute and modify it.
9
10# Defaults:
11ac_help=
12ac_default_prefix=/usr/local
13# Any additions from configure.in:
14
15# Initialize some variables set by options.
16# The variables have the same names as the options, with
17# dashes changed to underlines.
18build=NONE
19cache_file=./config.cache
20exec_prefix=NONE
21host=NONE
22no_create=
23nonopt=NONE
24no_recursion=
25prefix=NONE
26program_prefix=NONE
27program_suffix=NONE
28program_transform_name=s,x,x,
29silent=
30site=
31srcdir=
32target=NONE
33verbose=
34x_includes=NONE
35x_libraries=NONE
36bindir='${exec_prefix}/bin'
37sbindir='${exec_prefix}/sbin'
38libexecdir='${exec_prefix}/libexec'
39datadir='${prefix}/share'
40sysconfdir='${prefix}/etc'
41sharedstatedir='${prefix}/com'
42localstatedir='${prefix}/var'
43libdir='${exec_prefix}/lib'
44includedir='${prefix}/include'
45oldincludedir='/usr/include'
46infodir='${prefix}/info'
47mandir='${prefix}/man'
48
49# Initialize some other variables.
50subdirs=
51MFLAGS= MAKEFLAGS=
52# Maximum number of lines to put in a shell here document.
53ac_max_here_lines=12
54
55ac_prev=
56for ac_option
57do
58
59  # If the previous option needs an argument, assign it.
60  if test -n "$ac_prev"; then
61    eval "$ac_prev=\$ac_option"
62    ac_prev=
63    continue
64  fi
65
66  case "$ac_option" in
67  -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
68  *) ac_optarg= ;;
69  esac
70
71  # Accept the important Cygnus configure options, so we can diagnose typos.
72
73  case "$ac_option" in
74
75  -bindir | --bindir | --bindi | --bind | --bin | --bi)
76    ac_prev=bindir ;;
77  -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
78    bindir="$ac_optarg" ;;
79
80  -build | --build | --buil | --bui | --bu)
81    ac_prev=build ;;
82  -build=* | --build=* | --buil=* | --bui=* | --bu=*)
83    build="$ac_optarg" ;;
84
85  -cache-file | --cache-file | --cache-fil | --cache-fi \
86  | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
87    ac_prev=cache_file ;;
88  -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
89  | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
90    cache_file="$ac_optarg" ;;
91
92  -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
93    ac_prev=datadir ;;
94  -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
95  | --da=*)
96    datadir="$ac_optarg" ;;
97
98  -disable-* | --disable-*)
99    ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
100    # Reject names that are not valid shell variable names.
101    if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
102      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
103    fi
104    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
105    eval "enable_${ac_feature}=no" ;;
106
107  -enable-* | --enable-*)
108    ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
109    # Reject names that are not valid shell variable names.
110    if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
111      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
112    fi
113    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
114    case "$ac_option" in
115      *=*) ;;
116      *) ac_optarg=yes ;;
117    esac
118    eval "enable_${ac_feature}='$ac_optarg'" ;;
119
120  -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
121  | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
122  | --exec | --exe | --ex)
123    ac_prev=exec_prefix ;;
124  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
125  | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
126  | --exec=* | --exe=* | --ex=*)
127    exec_prefix="$ac_optarg" ;;
128
129  -gas | --gas | --ga | --g)
130    # Obsolete; use --with-gas.
131    with_gas=yes ;;
132
133  -help | --help | --hel | --he)
134    # Omit some internal or obsolete options to make the list less imposing.
135    # This message is too long to be a string in the A/UX 3.1 sh.
136    cat << EOF
137Usage: configure [options] [host]
138Options: [defaults in brackets after descriptions]
139Configuration:
140  --cache-file=FILE       cache test results in FILE
141  --help                  print this message
142  --no-create             do not create output files
143  --quiet, --silent       do not print \`checking...' messages
144  --version               print the version of autoconf that created configure
145Directory and file names:
146  --prefix=PREFIX         install architecture-independent files in PREFIX
147                          [$ac_default_prefix]
148  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
149                          [same as prefix]
150  --bindir=DIR            user executables in DIR [EPREFIX/bin]
151  --sbindir=DIR           system admin executables in DIR [EPREFIX/sbin]
152  --libexecdir=DIR        program executables in DIR [EPREFIX/libexec]
153  --datadir=DIR           read-only architecture-independent data in DIR
154                          [PREFIX/share]
155  --sysconfdir=DIR        read-only single-machine data in DIR [PREFIX/etc]
156  --sharedstatedir=DIR    modifiable architecture-independent data in DIR
157                          [PREFIX/com]
158  --localstatedir=DIR     modifiable single-machine data in DIR [PREFIX/var]
159  --libdir=DIR            object code libraries in DIR [EPREFIX/lib]
160  --includedir=DIR        C header files in DIR [PREFIX/include]
161  --oldincludedir=DIR     C header files for non-gcc in DIR [/usr/include]
162  --infodir=DIR           info documentation in DIR [PREFIX/info]
163  --mandir=DIR            man documentation in DIR [PREFIX/man]
164  --srcdir=DIR            find the sources in DIR [configure dir or ..]
165  --program-prefix=PREFIX prepend PREFIX to installed program names
166  --program-suffix=SUFFIX append SUFFIX to installed program names
167  --program-transform-name=PROGRAM
168                          run sed PROGRAM on installed program names
169EOF
170    cat << EOF
171Host type:
172  --build=BUILD           configure for building on BUILD [BUILD=HOST]
173  --host=HOST             configure for HOST [guessed]
174  --target=TARGET         configure for TARGET [TARGET=HOST]
175Features and packages:
176  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
177  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
178  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
179  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
180  --x-includes=DIR        X include files are in DIR
181  --x-libraries=DIR       X library files are in DIR
182EOF
183    if test -n "$ac_help"; then
184      echo "--enable and --with options recognized:$ac_help"
185    fi
186    exit 0 ;;
187
188  -host | --host | --hos | --ho)
189    ac_prev=host ;;
190  -host=* | --host=* | --hos=* | --ho=*)
191    host="$ac_optarg" ;;
192
193  -includedir | --includedir | --includedi | --included | --include \
194  | --includ | --inclu | --incl | --inc)
195    ac_prev=includedir ;;
196  -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
197  | --includ=* | --inclu=* | --incl=* | --inc=*)
198    includedir="$ac_optarg" ;;
199
200  -infodir | --infodir | --infodi | --infod | --info | --inf)
201    ac_prev=infodir ;;
202  -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
203    infodir="$ac_optarg" ;;
204
205  -libdir | --libdir | --libdi | --libd)
206    ac_prev=libdir ;;
207  -libdir=* | --libdir=* | --libdi=* | --libd=*)
208    libdir="$ac_optarg" ;;
209
210  -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
211  | --libexe | --libex | --libe)
212    ac_prev=libexecdir ;;
213  -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
214  | --libexe=* | --libex=* | --libe=*)
215    libexecdir="$ac_optarg" ;;
216
217  -localstatedir | --localstatedir | --localstatedi | --localstated \
218  | --localstate | --localstat | --localsta | --localst \
219  | --locals | --local | --loca | --loc | --lo)
220    ac_prev=localstatedir ;;
221  -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
222  | --localstate=* | --localstat=* | --localsta=* | --localst=* \
223  | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
224    localstatedir="$ac_optarg" ;;
225
226  -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
227    ac_prev=mandir ;;
228  -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
229    mandir="$ac_optarg" ;;
230
231  -nfp | --nfp | --nf)
232    # Obsolete; use --without-fp.
233    with_fp=no ;;
234
235  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
236  | --no-cr | --no-c)
237    no_create=yes ;;
238
239  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
240  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
241    no_recursion=yes ;;
242
243  -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
244  | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
245  | --oldin | --oldi | --old | --ol | --o)
246    ac_prev=oldincludedir ;;
247  -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
248  | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
249  | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
250    oldincludedir="$ac_optarg" ;;
251
252  -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
253    ac_prev=prefix ;;
254  -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
255    prefix="$ac_optarg" ;;
256
257  -program-prefix | --program-prefix | --program-prefi | --program-pref \
258  | --program-pre | --program-pr | --program-p)
259    ac_prev=program_prefix ;;
260  -program-prefix=* | --program-prefix=* | --program-prefi=* \
261  | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
262    program_prefix="$ac_optarg" ;;
263
264  -program-suffix | --program-suffix | --program-suffi | --program-suff \
265  | --program-suf | --program-su | --program-s)
266    ac_prev=program_suffix ;;
267  -program-suffix=* | --program-suffix=* | --program-suffi=* \
268  | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
269    program_suffix="$ac_optarg" ;;
270
271  -program-transform-name | --program-transform-name \
272  | --program-transform-nam | --program-transform-na \
273  | --program-transform-n | --program-transform- \
274  | --program-transform | --program-transfor \
275  | --program-transfo | --program-transf \
276  | --program-trans | --program-tran \
277  | --progr-tra | --program-tr | --program-t)
278    ac_prev=program_transform_name ;;
279  -program-transform-name=* | --program-transform-name=* \
280  | --program-transform-nam=* | --program-transform-na=* \
281  | --program-transform-n=* | --program-transform-=* \
282  | --program-transform=* | --program-transfor=* \
283  | --program-transfo=* | --program-transf=* \
284  | --program-trans=* | --program-tran=* \
285  | --progr-tra=* | --program-tr=* | --program-t=*)
286    program_transform_name="$ac_optarg" ;;
287
288  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
289  | -silent | --silent | --silen | --sile | --sil)
290    silent=yes ;;
291
292  -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
293    ac_prev=sbindir ;;
294  -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
295  | --sbi=* | --sb=*)
296    sbindir="$ac_optarg" ;;
297
298  -sharedstatedir | --sharedstatedir | --sharedstatedi \
299  | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
300  | --sharedst | --shareds | --shared | --share | --shar \
301  | --sha | --sh)
302    ac_prev=sharedstatedir ;;
303  -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
304  | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
305  | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
306  | --sha=* | --sh=*)
307    sharedstatedir="$ac_optarg" ;;
308
309  -site | --site | --sit)
310    ac_prev=site ;;
311  -site=* | --site=* | --sit=*)
312    site="$ac_optarg" ;;
313
314  -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
315    ac_prev=srcdir ;;
316  -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
317    srcdir="$ac_optarg" ;;
318
319  -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
320  | --syscon | --sysco | --sysc | --sys | --sy)
321    ac_prev=sysconfdir ;;
322  -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
323  | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
324    sysconfdir="$ac_optarg" ;;
325
326  -target | --target | --targe | --targ | --tar | --ta | --t)
327    ac_prev=target ;;
328  -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
329    target="$ac_optarg" ;;
330
331  -v | -verbose | --verbose | --verbos | --verbo | --verb)
332    verbose=yes ;;
333
334  -version | --version | --versio | --versi | --vers)
335    echo "configure generated by autoconf version 2.12"
336    exit 0 ;;
337
338  -with-* | --with-*)
339    ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
340    # Reject names that are not valid shell variable names.
341    if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
342      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
343    fi
344    ac_package=`echo $ac_package| sed 's/-/_/g'`
345    case "$ac_option" in
346      *=*) ;;
347      *) ac_optarg=yes ;;
348    esac
349    eval "with_${ac_package}='$ac_optarg'" ;;
350
351  -without-* | --without-*)
352    ac_package=`echo $ac_option|sed -e 's/-*without-//'`
353    # Reject names that are not valid shell variable names.
354    if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
355      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
356    fi
357    ac_package=`echo $ac_package| sed 's/-/_/g'`
358    eval "with_${ac_package}=no" ;;
359
360  --x)
361    # Obsolete; use --with-x.
362    with_x=yes ;;
363
364  -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
365  | --x-incl | --x-inc | --x-in | --x-i)
366    ac_prev=x_includes ;;
367  -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
368  | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
369    x_includes="$ac_optarg" ;;
370
371  -x-libraries | --x-libraries | --x-librarie | --x-librari \
372  | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
373    ac_prev=x_libraries ;;
374  -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
375  | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
376    x_libraries="$ac_optarg" ;;
377
378  -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
379    ;;
380
381  *)
382    if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
383      echo "configure: warning: $ac_option: invalid host type" 1>&2
384    fi
385    if test "x$nonopt" != xNONE; then
386      { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
387    fi
388    nonopt="$ac_option"
389    ;;
390
391  esac
392done
393
394if test -n "$ac_prev"; then
395  { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
396fi
397
398trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
399
400# File descriptor usage:
401# 0 standard input
402# 1 file creation
403# 2 errors and warnings
404# 3 some systems may open it to /dev/tty
405# 4 used on the Kubota Titan
406# 6 checking for... messages and results
407# 5 compiler messages saved in config.log
408if test "$silent" = yes; then
409  exec 6>/dev/null
410else
411  exec 6>&1
412fi
413exec 5>./config.log
414
415echo "\
416This file contains any messages produced by compilers while
417running configure, to aid debugging if configure makes a mistake.
418" 1>&5
419
420# Strip out --no-create and --no-recursion so they do not pile up.
421# Also quote any args containing shell metacharacters.
422ac_configure_args=
423for ac_arg
424do
425  case "$ac_arg" in
426  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
427  | --no-cr | --no-c) ;;
428  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
429  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
430  *" "*|*"	"*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
431  ac_configure_args="$ac_configure_args '$ac_arg'" ;;
432  *) ac_configure_args="$ac_configure_args $ac_arg" ;;
433  esac
434done
435
436# NLS nuisances.
437# Only set these to C if already set.  These must not be set unconditionally
438# because not all systems understand e.g. LANG=C (notably SCO).
439# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
440# Non-C LC_CTYPE values break the ctype check.
441if test "${LANG+set}"   = set; then LANG=C;   export LANG;   fi
442if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
443if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
444if test "${LC_CTYPE+set}"    = set; then LC_CTYPE=C;    export LC_CTYPE;    fi
445
446# confdefs.h avoids OS command line length limits that DEFS can exceed.
447rm -rf conftest* confdefs.h
448# AIX cpp loses on an empty file, so make sure it contains at least a newline.
449echo > confdefs.h
450
451# A filename unique to this package, relative to the directory that
452# configure is in, which we can look for to find out if srcdir is correct.
453ac_unique_file=smurflog.c
454
455# Find the source files, if location was not specified.
456if test -z "$srcdir"; then
457  ac_srcdir_defaulted=yes
458  # Try the directory containing this script, then its parent.
459  ac_prog=$0
460  ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
461  test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
462  srcdir=$ac_confdir
463  if test ! -r $srcdir/$ac_unique_file; then
464    srcdir=..
465  fi
466else
467  ac_srcdir_defaulted=no
468fi
469if test ! -r $srcdir/$ac_unique_file; then
470  if test "$ac_srcdir_defaulted" = yes; then
471    { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
472  else
473    { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
474  fi
475fi
476srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
477
478# Prefer explicitly selected file to automatically selected ones.
479if test -z "$CONFIG_SITE"; then
480  if test "x$prefix" != xNONE; then
481    CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
482  else
483    CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
484  fi
485fi
486for ac_site_file in $CONFIG_SITE; do
487  if test -r "$ac_site_file"; then
488    echo "loading site script $ac_site_file"
489    . "$ac_site_file"
490  fi
491done
492
493if test -r "$cache_file"; then
494  echo "loading cache $cache_file"
495  . $cache_file
496else
497  echo "creating cache $cache_file"
498  > $cache_file
499fi
500
501ac_ext=c
502# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
503ac_cpp='$CPP $CPPFLAGS'
504ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
505ac_link='${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
506cross_compiling=$ac_cv_prog_cc_cross
507
508if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
509  # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
510  if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
511    ac_n= ac_c='
512' ac_t='	'
513  else
514    ac_n=-n ac_c= ac_t=
515  fi
516else
517  ac_n= ac_c='\c' ac_t=
518fi
519
520
521
522PACKAGE=SmurfLog
523VERSION=2.0
524
525
526
527# Extract the first word of "gcc", so it can be a program name with args.
528set dummy gcc; ac_word=$2
529echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
530echo "configure:531: checking for $ac_word" >&5
531if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
532  echo $ac_n "(cached) $ac_c" 1>&6
533else
534  if test -n "$CC"; then
535  ac_cv_prog_CC="$CC" # Let the user override the test.
536else
537  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
538  for ac_dir in $PATH; do
539    test -z "$ac_dir" && ac_dir=.
540    if test -f $ac_dir/$ac_word; then
541      ac_cv_prog_CC="gcc"
542      break
543    fi
544  done
545  IFS="$ac_save_ifs"
546fi
547fi
548CC="$ac_cv_prog_CC"
549if test -n "$CC"; then
550  echo "$ac_t""$CC" 1>&6
551else
552  echo "$ac_t""no" 1>&6
553fi
554
555if test -z "$CC"; then
556  # Extract the first word of "cc", so it can be a program name with args.
557set dummy cc; ac_word=$2
558echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
559echo "configure:560: checking for $ac_word" >&5
560if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
561  echo $ac_n "(cached) $ac_c" 1>&6
562else
563  if test -n "$CC"; then
564  ac_cv_prog_CC="$CC" # Let the user override the test.
565else
566  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
567  ac_prog_rejected=no
568  for ac_dir in $PATH; do
569    test -z "$ac_dir" && ac_dir=.
570    if test -f $ac_dir/$ac_word; then
571      if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
572        ac_prog_rejected=yes
573	continue
574      fi
575      ac_cv_prog_CC="cc"
576      break
577    fi
578  done
579  IFS="$ac_save_ifs"
580if test $ac_prog_rejected = yes; then
581  # We found a bogon in the path, so make sure we never use it.
582  set dummy $ac_cv_prog_CC
583  shift
584  if test $# -gt 0; then
585    # We chose a different compiler from the bogus one.
586    # However, it has the same basename, so the bogon will be chosen
587    # first if we set CC to just the basename; use the full file name.
588    shift
589    set dummy "$ac_dir/$ac_word" "$@"
590    shift
591    ac_cv_prog_CC="$@"
592  fi
593fi
594fi
595fi
596CC="$ac_cv_prog_CC"
597if test -n "$CC"; then
598  echo "$ac_t""$CC" 1>&6
599else
600  echo "$ac_t""no" 1>&6
601fi
602
603  test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
604fi
605
606echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
607echo "configure:608: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
608
609ac_ext=c
610# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
611ac_cpp='$CPP $CPPFLAGS'
612ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
613ac_link='${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
614cross_compiling=$ac_cv_prog_cc_cross
615
616cat > conftest.$ac_ext <<EOF
617#line 618 "configure"
618#include "confdefs.h"
619main(){return(0);}
620EOF
621if { (eval echo configure:622: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
622  ac_cv_prog_cc_works=yes
623  # If we can't run a trivial program, we are probably using a cross compiler.
624  if (./conftest; exit) 2>/dev/null; then
625    ac_cv_prog_cc_cross=no
626  else
627    ac_cv_prog_cc_cross=yes
628  fi
629else
630  echo "configure: failed program was:" >&5
631  cat conftest.$ac_ext >&5
632  ac_cv_prog_cc_works=no
633fi
634rm -fr conftest*
635
636echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
637if test $ac_cv_prog_cc_works = no; then
638  { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
639fi
640echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
641echo "configure:642: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
642echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
643cross_compiling=$ac_cv_prog_cc_cross
644
645echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
646echo "configure:647: checking whether we are using GNU C" >&5
647if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
648  echo $ac_n "(cached) $ac_c" 1>&6
649else
650  cat > conftest.c <<EOF
651#ifdef __GNUC__
652  yes;
653#endif
654EOF
655if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:656: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
656  ac_cv_prog_gcc=yes
657else
658  ac_cv_prog_gcc=no
659fi
660fi
661
662echo "$ac_t""$ac_cv_prog_gcc" 1>&6
663
664if test $ac_cv_prog_gcc = yes; then
665  GCC=yes
666  ac_test_CFLAGS="${CFLAGS+set}"
667  ac_save_CFLAGS="$CFLAGS"
668  CFLAGS=
669  echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
670echo "configure:671: checking whether ${CC-cc} accepts -g" >&5
671if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
672  echo $ac_n "(cached) $ac_c" 1>&6
673else
674  echo 'void f(){}' > conftest.c
675if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
676  ac_cv_prog_cc_g=yes
677else
678  ac_cv_prog_cc_g=no
679fi
680rm -f conftest*
681
682fi
683
684echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
685  if test "$ac_test_CFLAGS" = set; then
686    CFLAGS="$ac_save_CFLAGS"
687  elif test $ac_cv_prog_cc_g = yes; then
688    CFLAGS="-g -O2"
689  else
690    CFLAGS="-O2"
691  fi
692else
693  GCC=
694  test "${CFLAGS+set}" = set || CFLAGS="-g"
695fi
696
697echo $ac_n "checking for working const""... $ac_c" 1>&6
698echo "configure:699: checking for working const" >&5
699if eval "test \"`echo '$''{'ac_cv_c_const'+set}'`\" = set"; then
700  echo $ac_n "(cached) $ac_c" 1>&6
701else
702  cat > conftest.$ac_ext <<EOF
703#line 704 "configure"
704#include "confdefs.h"
705
706int main() {
707
708/* Ultrix mips cc rejects this.  */
709typedef int charset[2]; const charset x;
710/* SunOS 4.1.1 cc rejects this.  */
711char const *const *ccp;
712char **p;
713/* NEC SVR4.0.2 mips cc rejects this.  */
714struct point {int x, y;};
715static struct point const zero = {0,0};
716/* AIX XL C 1.02.0.0 rejects this.
717   It does not let you subtract one const X* pointer from another in an arm
718   of an if-expression whose if-part is not a constant expression */
719const char *g = "string";
720ccp = &g + (g ? g-g : 0);
721/* HPUX 7.0 cc rejects these. */
722++ccp;
723p = (char**) ccp;
724ccp = (char const *const *) p;
725{ /* SCO 3.2v4 cc rejects this.  */
726  char *t;
727  char const *s = 0 ? (char *) 0 : (char const *) 0;
728
729  *t++ = 0;
730}
731{ /* Someone thinks the Sun supposedly-ANSI compiler will reject this.  */
732  int x[] = {25, 17};
733  const int *foo = &x[0];
734  ++foo;
735}
736{ /* Sun SC1.0 ANSI compiler rejects this -- but not the above. */
737  typedef const int *iptr;
738  iptr p = 0;
739  ++p;
740}
741{ /* AIX XL C 1.02.0.0 rejects this saying
742     "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
743  struct s { int j; const int *ap[3]; };
744  struct s *b; b->j = 5;
745}
746{ /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */
747  const int foo = 10;
748}
749
750; return 0; }
751EOF
752if { (eval echo configure:753: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
753  rm -rf conftest*
754  ac_cv_c_const=yes
755else
756  echo "configure: failed program was:" >&5
757  cat conftest.$ac_ext >&5
758  rm -rf conftest*
759  ac_cv_c_const=no
760fi
761rm -f conftest*
762fi
763
764echo "$ac_t""$ac_cv_c_const" 1>&6
765if test $ac_cv_c_const = no; then
766  cat >> confdefs.h <<\EOF
767#define const
768EOF
769
770fi
771
772echo $ac_n "checking for inline""... $ac_c" 1>&6
773echo "configure:774: checking for inline" >&5
774if eval "test \"`echo '$''{'ac_cv_c_inline'+set}'`\" = set"; then
775  echo $ac_n "(cached) $ac_c" 1>&6
776else
777  ac_cv_c_inline=no
778for ac_kw in inline __inline__ __inline; do
779  cat > conftest.$ac_ext <<EOF
780#line 781 "configure"
781#include "confdefs.h"
782
783int main() {
784} $ac_kw foo() {
785; return 0; }
786EOF
787if { (eval echo configure:788: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
788  rm -rf conftest*
789  ac_cv_c_inline=$ac_kw; break
790else
791  echo "configure: failed program was:" >&5
792  cat conftest.$ac_ext >&5
793fi
794rm -f conftest*
795done
796
797fi
798
799echo "$ac_t""$ac_cv_c_inline" 1>&6
800case "$ac_cv_c_inline" in
801  inline | yes) ;;
802  no) cat >> confdefs.h <<\EOF
803#define inline
804EOF
805 ;;
806  *)  cat >> confdefs.h <<EOF
807#define inline $ac_cv_c_inline
808EOF
809 ;;
810esac
811
812# Extract the first word of "strip", so it can be a program name with args.
813set dummy strip; ac_word=$2
814echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
815echo "configure:816: checking for $ac_word" >&5
816if eval "test \"`echo '$''{'ac_cv_prog_STRIP'+set}'`\" = set"; then
817  echo $ac_n "(cached) $ac_c" 1>&6
818else
819  if test -n "$STRIP"; then
820  ac_cv_prog_STRIP="$STRIP" # Let the user override the test.
821else
822  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
823  for ac_dir in $PATH; do
824    test -z "$ac_dir" && ac_dir=.
825    if test -f $ac_dir/$ac_word; then
826      ac_cv_prog_STRIP="strip"
827      break
828    fi
829  done
830  IFS="$ac_save_ifs"
831fi
832fi
833STRIP="$ac_cv_prog_STRIP"
834if test -n "$STRIP"; then
835  echo "$ac_t""$STRIP" 1>&6
836else
837  echo "$ac_t""no" 1>&6
838fi
839
840
841#CFLAGS="-Wall -O"
842if test "x$CC" = "xgcc"; then
843   CFLAGS="-Wall -O6 -fno-strength-reduce"
844fi
845
846echo $ac_n "checking for pcap_open_live in -lpcap""... $ac_c" 1>&6
847echo "configure:848: checking for pcap_open_live in -lpcap" >&5
848ac_lib_var=`echo pcap'_'pcap_open_live | sed 'y%./+-%__p_%'`
849if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
850  echo $ac_n "(cached) $ac_c" 1>&6
851else
852  ac_save_LIBS="$LIBS"
853LIBS="-lpcap  $LIBS"
854cat > conftest.$ac_ext <<EOF
855#line 856 "configure"
856#include "confdefs.h"
857/* Override any gcc2 internal prototype to avoid an error.  */
858/* We use char because int might match the return type of a gcc2
859    builtin and then its argument prototype would still apply.  */
860char pcap_open_live();
861
862int main() {
863pcap_open_live()
864; return 0; }
865EOF
866if { (eval echo configure:867: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
867  rm -rf conftest*
868  eval "ac_cv_lib_$ac_lib_var=yes"
869else
870  echo "configure: failed program was:" >&5
871  cat conftest.$ac_ext >&5
872  rm -rf conftest*
873  eval "ac_cv_lib_$ac_lib_var=no"
874fi
875rm -f conftest*
876LIBS="$ac_save_LIBS"
877
878fi
879if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
880  echo "$ac_t""yes" 1>&6
881    ac_tr_lib=HAVE_LIB`echo pcap | sed -e 's/[^a-zA-Z0-9_]/_/g' \
882    -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
883  cat >> confdefs.h <<EOF
884#define $ac_tr_lib 1
885EOF
886
887  LIBS="-lpcap $LIBS"
888
889else
890  echo "$ac_t""no" 1>&6
891fi
892
893
894echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
895echo "configure:896: checking how to run the C preprocessor" >&5
896# On Suns, sometimes $CPP names a directory.
897if test -n "$CPP" && test -d "$CPP"; then
898  CPP=
899fi
900if test -z "$CPP"; then
901if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
902  echo $ac_n "(cached) $ac_c" 1>&6
903else
904    # This must be in double quotes, not single quotes, because CPP may get
905  # substituted into the Makefile and "${CC-cc}" will confuse make.
906  CPP="${CC-cc} -E"
907  # On the NeXT, cc -E runs the code through the compiler's parser,
908  # not just through cpp.
909  cat > conftest.$ac_ext <<EOF
910#line 911 "configure"
911#include "confdefs.h"
912#include <assert.h>
913Syntax Error
914EOF
915ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
916{ (eval echo configure:917: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
917ac_err=`grep -v '^ *+' conftest.out`
918if test -z "$ac_err"; then
919  :
920else
921  echo "$ac_err" >&5
922  echo "configure: failed program was:" >&5
923  cat conftest.$ac_ext >&5
924  rm -rf conftest*
925  CPP="${CC-cc} -E -traditional-cpp"
926  cat > conftest.$ac_ext <<EOF
927#line 928 "configure"
928#include "confdefs.h"
929#include <assert.h>
930Syntax Error
931EOF
932ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
933{ (eval echo configure:934: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
934ac_err=`grep -v '^ *+' conftest.out`
935if test -z "$ac_err"; then
936  :
937else
938  echo "$ac_err" >&5
939  echo "configure: failed program was:" >&5
940  cat conftest.$ac_ext >&5
941  rm -rf conftest*
942  CPP=/lib/cpp
943fi
944rm -f conftest*
945fi
946rm -f conftest*
947  ac_cv_prog_CPP="$CPP"
948fi
949  CPP="$ac_cv_prog_CPP"
950else
951  ac_cv_prog_CPP="$CPP"
952fi
953echo "$ac_t""$CPP" 1>&6
954
955echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
956echo "configure:957: checking for ANSI C header files" >&5
957if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
958  echo $ac_n "(cached) $ac_c" 1>&6
959else
960  cat > conftest.$ac_ext <<EOF
961#line 962 "configure"
962#include "confdefs.h"
963#include <stdlib.h>
964#include <stdarg.h>
965#include <string.h>
966#include <float.h>
967EOF
968ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
969{ (eval echo configure:970: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
970ac_err=`grep -v '^ *+' conftest.out`
971if test -z "$ac_err"; then
972  rm -rf conftest*
973  ac_cv_header_stdc=yes
974else
975  echo "$ac_err" >&5
976  echo "configure: failed program was:" >&5
977  cat conftest.$ac_ext >&5
978  rm -rf conftest*
979  ac_cv_header_stdc=no
980fi
981rm -f conftest*
982
983if test $ac_cv_header_stdc = yes; then
984  # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
985cat > conftest.$ac_ext <<EOF
986#line 987 "configure"
987#include "confdefs.h"
988#include <string.h>
989EOF
990if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
991  egrep "memchr" >/dev/null 2>&1; then
992  :
993else
994  rm -rf conftest*
995  ac_cv_header_stdc=no
996fi
997rm -f conftest*
998
999fi
1000
1001if test $ac_cv_header_stdc = yes; then
1002  # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
1003cat > conftest.$ac_ext <<EOF
1004#line 1005 "configure"
1005#include "confdefs.h"
1006#include <stdlib.h>
1007EOF
1008if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1009  egrep "free" >/dev/null 2>&1; then
1010  :
1011else
1012  rm -rf conftest*
1013  ac_cv_header_stdc=no
1014fi
1015rm -f conftest*
1016
1017fi
1018
1019if test $ac_cv_header_stdc = yes; then
1020  # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
1021if test "$cross_compiling" = yes; then
1022  :
1023else
1024  cat > conftest.$ac_ext <<EOF
1025#line 1026 "configure"
1026#include "confdefs.h"
1027#include <ctype.h>
1028#define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
1029#define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
1030#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
1031int main () { int i; for (i = 0; i < 256; i++)
1032if (XOR (islower (i), ISLOWER (i)) || toupper (i) != TOUPPER (i)) exit(2);
1033exit (0); }
1034
1035EOF
1036if { (eval echo configure:1037: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit) 2>/dev/null
1037then
1038  :
1039else
1040  echo "configure: failed program was:" >&5
1041  cat conftest.$ac_ext >&5
1042  rm -fr conftest*
1043  ac_cv_header_stdc=no
1044fi
1045rm -fr conftest*
1046fi
1047
1048fi
1049fi
1050
1051echo "$ac_t""$ac_cv_header_stdc" 1>&6
1052if test $ac_cv_header_stdc = yes; then
1053  cat >> confdefs.h <<\EOF
1054#define STDC_HEADERS 1
1055EOF
1056
1057fi
1058
1059for ac_hdr in unistd.h
1060do
1061ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
1062echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
1063echo "configure:1064: checking for $ac_hdr" >&5
1064if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
1065  echo $ac_n "(cached) $ac_c" 1>&6
1066else
1067  cat > conftest.$ac_ext <<EOF
1068#line 1069 "configure"
1069#include "confdefs.h"
1070#include <$ac_hdr>
1071EOF
1072ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1073{ (eval echo configure:1074: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1074ac_err=`grep -v '^ *+' conftest.out`
1075if test -z "$ac_err"; then
1076  rm -rf conftest*
1077  eval "ac_cv_header_$ac_safe=yes"
1078else
1079  echo "$ac_err" >&5
1080  echo "configure: failed program was:" >&5
1081  cat conftest.$ac_ext >&5
1082  rm -rf conftest*
1083  eval "ac_cv_header_$ac_safe=no"
1084fi
1085rm -f conftest*
1086fi
1087if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
1088  echo "$ac_t""yes" 1>&6
1089    ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
1090  cat >> confdefs.h <<EOF
1091#define $ac_tr_hdr 1
1092EOF
1093
1094else
1095  echo "$ac_t""no" 1>&6
1096fi
1097done
1098
1099
1100echo $ac_n "checking return type of signal handlers""... $ac_c" 1>&6
1101echo "configure:1102: checking return type of signal handlers" >&5
1102if eval "test \"`echo '$''{'ac_cv_type_signal'+set}'`\" = set"; then
1103  echo $ac_n "(cached) $ac_c" 1>&6
1104else
1105  cat > conftest.$ac_ext <<EOF
1106#line 1107 "configure"
1107#include "confdefs.h"
1108#include <sys/types.h>
1109#include <signal.h>
1110#ifdef signal
1111#undef signal
1112#endif
1113#ifdef __cplusplus
1114extern "C" void (*signal (int, void (*)(int)))(int);
1115#else
1116void (*signal ()) ();
1117#endif
1118
1119int main() {
1120int i;
1121; return 0; }
1122EOF
1123if { (eval echo configure:1124: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1124  rm -rf conftest*
1125  ac_cv_type_signal=void
1126else
1127  echo "configure: failed program was:" >&5
1128  cat conftest.$ac_ext >&5
1129  rm -rf conftest*
1130  ac_cv_type_signal=int
1131fi
1132rm -f conftest*
1133fi
1134
1135echo "$ac_t""$ac_cv_type_signal" 1>&6
1136cat >> confdefs.h <<EOF
1137#define RETSIGTYPE $ac_cv_type_signal
1138EOF
1139
1140
1141trap '' 1 2 15
1142cat > confcache <<\EOF
1143# This file is a shell script that caches the results of configure
1144# tests run on this system so they can be shared between configure
1145# scripts and configure runs.  It is not useful on other systems.
1146# If it contains results you don't want to keep, you may remove or edit it.
1147#
1148# By default, configure uses ./config.cache as the cache file,
1149# creating it if it does not exist already.  You can give configure
1150# the --cache-file=FILE option to use a different cache file; that is
1151# what configure does when it calls configure scripts in
1152# subdirectories, so they share the cache.
1153# Giving --cache-file=/dev/null disables caching, for debugging configure.
1154# config.status only pays attention to the cache file if you give it the
1155# --recheck option to rerun configure.
1156#
1157EOF
1158# The following way of writing the cache mishandles newlines in values,
1159# but we know of no workaround that is simple, portable, and efficient.
1160# So, don't put newlines in cache variables' values.
1161# Ultrix sh set writes to stderr and can't be redirected directly,
1162# and sets the high bit in the cache file unless we assign to the vars.
1163(set) 2>&1 |
1164  case `(ac_space=' '; set) 2>&1` in
1165  *ac_space=\ *)
1166    # `set' does not quote correctly, so add quotes (double-quote substitution
1167    # turns \\\\ into \\, and sed turns \\ into \).
1168    sed -n \
1169      -e "s/'/'\\\\''/g" \
1170      -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1171    ;;
1172  *)
1173    # `set' quotes correctly as required by POSIX, so do not add quotes.
1174    sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1175    ;;
1176  esac >> confcache
1177if cmp -s $cache_file confcache; then
1178  :
1179else
1180  if test -w $cache_file; then
1181    echo "updating cache $cache_file"
1182    cat confcache > $cache_file
1183  else
1184    echo "not updating unwritable cache $cache_file"
1185  fi
1186fi
1187rm -f confcache
1188
1189trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1190
1191test "x$prefix" = xNONE && prefix=$ac_default_prefix
1192# Let make expand exec_prefix.
1193test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1194
1195# Any assignment to VPATH causes Sun make to only execute
1196# the first set of double-colon rules, so remove it if not needed.
1197# If there is a colon in the path, we need to keep it.
1198if test "x$srcdir" = x.; then
1199  ac_vpsub='/^[ 	]*VPATH[ 	]*=[^:]*$/d'
1200fi
1201
1202trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1203
1204DEFS=-DHAVE_CONFIG_H
1205
1206# Without the "./", some shells look in PATH for config.status.
1207: ${CONFIG_STATUS=./config.status}
1208
1209echo creating $CONFIG_STATUS
1210rm -f $CONFIG_STATUS
1211cat > $CONFIG_STATUS <<EOF
1212#! /bin/sh
1213# Generated automatically by configure.
1214# Run this file to recreate the current configuration.
1215# This directory was configured as follows,
1216# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1217#
1218# $0 $ac_configure_args
1219#
1220# Compiler output produced by configure, useful for debugging
1221# configure, is in ./config.log if it exists.
1222
1223ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1224for ac_option
1225do
1226  case "\$ac_option" in
1227  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1228    echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1229    exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1230  -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1231    echo "$CONFIG_STATUS generated by autoconf version 2.12"
1232    exit 0 ;;
1233  -help | --help | --hel | --he | --h)
1234    echo "\$ac_cs_usage"; exit 0 ;;
1235  *) echo "\$ac_cs_usage"; exit 1 ;;
1236  esac
1237done
1238
1239ac_given_srcdir=$srcdir
1240
1241trap 'rm -fr `echo "Makefile config.h" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1242EOF
1243cat >> $CONFIG_STATUS <<EOF
1244
1245# Protect against being on the right side of a sed subst in config.status.
1246sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1247 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1248$ac_vpsub
1249$extrasub
1250s%@CFLAGS@%$CFLAGS%g
1251s%@CPPFLAGS@%$CPPFLAGS%g
1252s%@CXXFLAGS@%$CXXFLAGS%g
1253s%@DEFS@%$DEFS%g
1254s%@LDFLAGS@%$LDFLAGS%g
1255s%@LIBS@%$LIBS%g
1256s%@exec_prefix@%$exec_prefix%g
1257s%@prefix@%$prefix%g
1258s%@program_transform_name@%$program_transform_name%g
1259s%@bindir@%$bindir%g
1260s%@sbindir@%$sbindir%g
1261s%@libexecdir@%$libexecdir%g
1262s%@datadir@%$datadir%g
1263s%@sysconfdir@%$sysconfdir%g
1264s%@sharedstatedir@%$sharedstatedir%g
1265s%@localstatedir@%$localstatedir%g
1266s%@libdir@%$libdir%g
1267s%@includedir@%$includedir%g
1268s%@oldincludedir@%$oldincludedir%g
1269s%@infodir@%$infodir%g
1270s%@mandir@%$mandir%g
1271s%@PACKAGE@%$PACKAGE%g
1272s%@VERSION@%$VERSION%g
1273s%@CC@%$CC%g
1274s%@STRIP@%$STRIP%g
1275s%@CPP@%$CPP%g
1276
1277CEOF
1278EOF
1279
1280cat >> $CONFIG_STATUS <<\EOF
1281
1282# Split the substitutions into bite-sized pieces for seds with
1283# small command number limits, like on Digital OSF/1 and HP-UX.
1284ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1285ac_file=1 # Number of current file.
1286ac_beg=1 # First line for current file.
1287ac_end=$ac_max_sed_cmds # Line after last line for current file.
1288ac_more_lines=:
1289ac_sed_cmds=""
1290while $ac_more_lines; do
1291  if test $ac_beg -gt 1; then
1292    sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1293  else
1294    sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1295  fi
1296  if test ! -s conftest.s$ac_file; then
1297    ac_more_lines=false
1298    rm -f conftest.s$ac_file
1299  else
1300    if test -z "$ac_sed_cmds"; then
1301      ac_sed_cmds="sed -f conftest.s$ac_file"
1302    else
1303      ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1304    fi
1305    ac_file=`expr $ac_file + 1`
1306    ac_beg=$ac_end
1307    ac_end=`expr $ac_end + $ac_max_sed_cmds`
1308  fi
1309done
1310if test -z "$ac_sed_cmds"; then
1311  ac_sed_cmds=cat
1312fi
1313EOF
1314
1315cat >> $CONFIG_STATUS <<EOF
1316
1317CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
1318EOF
1319cat >> $CONFIG_STATUS <<\EOF
1320for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1321  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1322  case "$ac_file" in
1323  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1324       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1325  *) ac_file_in="${ac_file}.in" ;;
1326  esac
1327
1328  # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1329
1330  # Remove last slash and all that follows it.  Not all systems have dirname.
1331  ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1332  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1333    # The file is in a subdirectory.
1334    test ! -d "$ac_dir" && mkdir "$ac_dir"
1335    ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1336    # A "../" for each directory in $ac_dir_suffix.
1337    ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1338  else
1339    ac_dir_suffix= ac_dots=
1340  fi
1341
1342  case "$ac_given_srcdir" in
1343  .)  srcdir=.
1344      if test -z "$ac_dots"; then top_srcdir=.
1345      else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1346  /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1347  *) # Relative path.
1348    srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1349    top_srcdir="$ac_dots$ac_given_srcdir" ;;
1350  esac
1351
1352
1353  echo creating "$ac_file"
1354  rm -f "$ac_file"
1355  configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1356  case "$ac_file" in
1357  *Makefile*) ac_comsub="1i\\
1358# $configure_input" ;;
1359  *) ac_comsub= ;;
1360  esac
1361
1362  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1363  sed -e "$ac_comsub
1364s%@configure_input@%$configure_input%g
1365s%@srcdir@%$srcdir%g
1366s%@top_srcdir@%$top_srcdir%g
1367" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1368fi; done
1369rm -f conftest.s*
1370
1371# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
1372# NAME is the cpp macro being defined and VALUE is the value it is being given.
1373#
1374# ac_d sets the value in "#define NAME VALUE" lines.
1375ac_dA='s%^\([ 	]*\)#\([ 	]*define[ 	][ 	]*\)'
1376ac_dB='\([ 	][ 	]*\)[^ 	]*%\1#\2'
1377ac_dC='\3'
1378ac_dD='%g'
1379# ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
1380ac_uA='s%^\([ 	]*\)#\([ 	]*\)undef\([ 	][ 	]*\)'
1381ac_uB='\([ 	]\)%\1#\2define\3'
1382ac_uC=' '
1383ac_uD='\4%g'
1384# ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
1385ac_eA='s%^\([ 	]*\)#\([ 	]*\)undef\([ 	][ 	]*\)'
1386ac_eB='$%\1#\2define\3'
1387ac_eC=' '
1388ac_eD='%g'
1389
1390if test "${CONFIG_HEADERS+set}" != set; then
1391EOF
1392cat >> $CONFIG_STATUS <<EOF
1393  CONFIG_HEADERS="config.h"
1394EOF
1395cat >> $CONFIG_STATUS <<\EOF
1396fi
1397for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
1398  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1399  case "$ac_file" in
1400  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1401       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1402  *) ac_file_in="${ac_file}.in" ;;
1403  esac
1404
1405  echo creating $ac_file
1406
1407  rm -f conftest.frag conftest.in conftest.out
1408  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1409  cat $ac_file_inputs > conftest.in
1410
1411EOF
1412
1413# Transform confdefs.h into a sed script conftest.vals that substitutes
1414# the proper values into config.h.in to produce config.h.  And first:
1415# Protect against being on the right side of a sed subst in config.status.
1416# Protect against being in an unquoted here document in config.status.
1417rm -f conftest.vals
1418cat > conftest.hdr <<\EOF
1419s/[\\&%]/\\&/g
1420s%[\\$`]%\\&%g
1421s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD}%gp
1422s%ac_d%ac_u%gp
1423s%ac_u%ac_e%gp
1424EOF
1425sed -n -f conftest.hdr confdefs.h > conftest.vals
1426rm -f conftest.hdr
1427
1428# This sed command replaces #undef with comments.  This is necessary, for
1429# example, in the case of _POSIX_SOURCE, which is predefined and required
1430# on some systems where configure will not decide to define it.
1431cat >> conftest.vals <<\EOF
1432s%^[ 	]*#[ 	]*undef[ 	][ 	]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
1433EOF
1434
1435# Break up conftest.vals because some shells have a limit on
1436# the size of here documents, and old seds have small limits too.
1437
1438rm -f conftest.tail
1439while :
1440do
1441  ac_lines=`grep -c . conftest.vals`
1442  # grep -c gives empty output for an empty file on some AIX systems.
1443  if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
1444  # Write a limited-size here document to conftest.frag.
1445  echo '  cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
1446  sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
1447  echo 'CEOF
1448  sed -f conftest.frag conftest.in > conftest.out
1449  rm -f conftest.in
1450  mv conftest.out conftest.in
1451' >> $CONFIG_STATUS
1452  sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
1453  rm -f conftest.vals
1454  mv conftest.tail conftest.vals
1455done
1456rm -f conftest.vals
1457
1458cat >> $CONFIG_STATUS <<\EOF
1459  rm -f conftest.frag conftest.h
1460  echo "/* $ac_file.  Generated automatically by configure.  */" > conftest.h
1461  cat conftest.in >> conftest.h
1462  rm -f conftest.in
1463  if cmp -s $ac_file conftest.h 2>/dev/null; then
1464    echo "$ac_file is unchanged"
1465    rm -f conftest.h
1466  else
1467    # Remove last slash and all that follows it.  Not all systems have dirname.
1468      ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1469      if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1470      # The file is in a subdirectory.
1471      test ! -d "$ac_dir" && mkdir "$ac_dir"
1472    fi
1473    rm -f $ac_file
1474    mv conftest.h $ac_file
1475  fi
1476fi; done
1477
1478EOF
1479cat >> $CONFIG_STATUS <<EOF
1480
1481EOF
1482cat >> $CONFIG_STATUS <<\EOF
1483
1484exit 0
1485EOF
1486chmod +x $CONFIG_STATUS
1487rm -fr confdefs* $ac_clean_files
1488test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1489
1490